## org.gnu.gtk.event
Class FileChooserEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.FileChooserEvent

All Implemented Interfaces:
  java.io.Serializable

public class FileChooserEvent
extends GtkEvent

See Also:
  Serialized Form

Nested Class Summary
`static class` `FileChooserEvent.Type`

Constructor Summary
`FileChooserEvent(java.lang.Object source, FileChooserEvent.Type type)`

Method Summary
`boolean` `isOfType(FileChooserEvent.Type type)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileChooserEvent

    public FileChooserEvent(java.lang.Object source,
                            FileChooserEvent.Type type)

Method Detail

### isOfType

    public boolean isOfType(FileChooserEvent.Type type)